
QGIS Application - Bug report #13868

change transparency of all rules by right click crashes qgis

2015-11-24 05:32 AM - Regis Haubourg

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 21891

Description

Hi, with rule based symbols on point layers, when trying to batch change transparency of rules, we got a crash. 

This area has seen crashes on almost every version of qgis and lots of regression. That would deserve unit tests.

History

#1 - 2015-11-24 01:49 PM - Matthias Kuhn

- Priority changed from High to Severe/Regression

- Status changed from Open to Feedback

I could not reproduce,

Select all rules, right click, change transparency, change value, click ok

#2 - 2015-11-24 01:55 PM - Sebastian Dietrich

I can not reproduce this either. Neither 2.12.0 nor master crashes.

    -  Could you please export the style you are trying to batch change and attach it here?

    -  To what value are you setting the transparency?

    -  Are you changing all rules or only a subset?

    -  Does this only happen when working with a certain layer? What kind of layer is this (shapefile, postgres, ...)?

#3 - 2015-11-25 12:49 AM - Regis Haubourg

- Status changed from Feedback to Closed

Hi, in fact crash did occur after having made a classification by categories, then switch to ruled based rendered. I couldn't reproduce again today. 

Sorry for raising the issue so fast, it looked so much like recurrent crashes before... 

I close the issue now.Régis
